FRAG(8)

NAME
frag - simple fragmentation checker

SYNOPSIS
/etc/frag [ -l ] [ -s [ -s ]] filename ...

DESCRIPTION
frag will report the file system fragmentation on a specified filename. If the filename is a directory, frag will recursively descend the directory.

OPTIONS

-l  Long mode. Lists the start and end blocks of all fragments of each file scanned.

-s  Silent (may be set to 1 or 2). The first -s eliminates the file by file statistics, and just prints the examined directories and a summary. The second -s eliminates the printing of the directories, and just prints a summary. This option is useful when frag is used on a directory.

SEE ALSO
e2dump(8), xdump(8), defrag(8), mkfs(8), fsck(8), mkefs(8), efsck(8)

BUGS
frag will get caught in an infinite loop in the /proc filesystem. It is impossible to determine where a file's meta-data resides on disk simply by accessing the mounted file, so some apparent fragments reported by frag may be simply the result of low-level index blocks on disk. The e2dump and xdump programs can interrogate a partition directly to access this data and to give more accurate results.

AUTHORS
V1.0 by Werner Almesberger
V1.1 by Steffen Zahn, adding directory recursion
V1.2 by Rob Hooft, adding hole counts
V1.3 by Steffen Zahn, ignore symlinks, don't cross filesys borders, get filesystem block size at runtime
V1.4 by Stephen Tweedie, added indirect block support and improved statistic summaries. Added "-l" switch.